{% extends 'base.html.twig' %}

{% block title %}
    {{ parent() }} | Connexion
{% endblock %}

{% block body %}
    <main class="container-fluid main-container">
        <div class="row justify-content-center align-items-center h-100">
            <div class="col-12 col-sm-8 col-md-7 col-lg-5 col-xl-4">
                <div class="rounded bg-white p-4 border-0 card-form">
                    <div class="mb-4 d-flex justify-content-center">
                        <a href="{{ path('home') }}">
                            <img src="{{ asset('images/brand-true-navy-blue.png') }}" alt="Snow Tricks Logo"
                                 class="img-fluid">
                        </a>
                    </div>
                    <form method="post">
                        {% if app.user %}
                            <div class="mb-3 text-center">
                                Vous êtes déjà connecté,<br> <a href="{{ path('app_logout') }}">Se déconnecter ?</a>
                            </div>
                        {% else %}
                            <h1 class="h3 mb-3 font-weight-normal text-center">Connectez vous.</h1>
                        {% endif %}

                        {% if error %}
                            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                        {% endif %}

                        <div class="form-group">
                            <label for="inputEmail" class="form-label">Adresse email</label>
                            <input type="email" value="{{ last_username }}" name="email" id="inputEmail"
                                   class="form-control" autofocus>
                        </div>
                        <div class="form-group">
                            <label for="inputPassword" class="form-label">Mot de passe</label>
                            <input type="password" name="password" id="inputPassword" class="form-control">
                        </div>
                        <input type="hidden" name="_csrf_token"
                               value="{{ csrf_token('authenticate') }}"
                        >
                        <button class="btn btn-primary btn-block d-block" type="submit">
                            Connexion
                        </button>
                        <a href="{{ path('forgot_password') }}">
                            <p class="text-center mb-0 mt-3">
                                Mot de passe oublié ?
                            </p>
                        </a>
                        <a href="{{ path('user_registration') }}">
                            <p class="text-center mb-0">
                                Pas encore de compte ?<br>Inscrivez vous.
                            </p>
                        </a>
                    </form>
                </div>
            </div>
        </div>
    </main>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('signup') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('signup') }}
{% endblock %}

